import 'package:flutter/material.dart';

import 'action_sheet_ui.dart';
import 'type.dart';

void showActionSheet(
  BuildContext context, {
  required List<ActionSheetItem> actions,
  bool showCancel = false,
  required Function(ActionSheetItem) onConfirm,
}) {
  showModalBottomSheet(
    context: context,
    backgroundColor: Colors.white,
    clipBehavior: Clip.antiAlias,
    builder: (context) {
      return ActionSheetUi(
        actions: actions,
        showCancel: showCancel,
        onConfirm: onConfirm,
      );
    },
  );
}


